petsc-3.4.2 2013-07-02

# MatMAIJGetAIJ

Get the AIJ matrix describing the blockwise action of the MAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMAIJGetAIJ(Mat A,Mat *B)

Not Collective, but if the MAIJ matrix is parallel, the AIJ matrix is also parallel

### Input Parameter

A -the MAIJ matrix

### Output Parameter

B -the AIJ matrix

Notes: The reference count on the AIJ matrix is not increased so you should not destroy it.

### See Also

MatCreateMAIJ()

Level:advanced
Location:src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages